Package com.ads.api.beans.bgm

# Class BusinessPolicy

java.lang.Object
com.ads.api.beans.common.Node
com.ads.api.beans.bgm.BusinessObject
com.ads.api.beans.bgm.BusinessPolicy

public class BusinessPolicy extends BusinessObject
This class provides some beans control methods related to Business Policy such as status and user defined fields etc..

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.ads.api.beans.common.Node

  `Node.Depth, Node.InputDataType, Node.NodeType, Node.ReturnType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BusinessPolicy()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `APIConstants.ExpiryType`
  `getExpiryType()`
  Returns the expiryType of the business policy.
  `String`
  `getNotes()`
  Returns the notes related to the business object.
  `String`
  `getPolicyEndDate()`
  Returns the policyEndDate of the business policy.
  `String`
  `getPolicyStartDate()`
  Returns the policyStartDate of the business policy.
  `String`
  `getPublish()`
  Returns the publish status of the business policy
  `String`
  `getStatus()`
  Returns the status of the business policy.
  `String`
  `getUserDefinedField1()`
  Returns the userDefinedField1 value of the business policy.
  `String`
  `getUserDefinedField10()`
  Returns the userDefinedField10 value of the business policy.
  `String`
  `getUserDefinedField2()`
  Returns the userDefinedField2 value of the business policy.
  `String`
  `getUserDefinedField3()`
  Returns the userDefinedField3 value of the business policy.
  `String`
  `getUserDefinedField4()`
  Returns the userDefinedField4 value of the business policy.
  `String`
  `getUserDefinedField5()`
  Returns the userDefinedField5 value of the business policy.
  `String`
  `getUserDefinedField6()`
  Returns the userDefinedField6 value of the business policy.
  `String`
  `getUserDefinedField7()`
  Returns the userDefinedField7 value of the business policy.
  `String`
  `getUserDefinedField8()`
  Returns the userDefinedField8 value of the business policy.
  `String`
  `getUserDefinedField9()`
  Returns the userDefinedField9 value of the business policy.
  `void`
  `setExpiryType(APIConstants.ExpiryType expiryType)`
  Sets the expiryType of the business policy.
  `void`
  `setNotes(String notes)`
  Sets the notes to the business object as Specified.
  `void`
  `setPolicyEndDate(String policyEndDate)`
  Sets the policyEndDate of the business policy.
  `void`
  `setPolicyStartDate(String policyStartDate)`
  Sets the policyStartDate of the business policy.
  `void`
  `setPublish(String publish)`
  Sets the publish status of the business policy.
  `void`
  `setStatus(String status)`
  Sets the status of the business policy.
  `void`
  `setUserDefinedField1(String userDefinedField1)`
  Sets the UserDefinedField1 as specified to the business policy.
  `void`
  `setUserDefinedField10(String userDefinedField10)`
  Sets the userDefinedField10 as specified to the business policy.
  `void`
  `setUserDefinedField2(String userDefinedField2)`
  Sets the userDefinedField2 as specified to the business policy.
  `void`
  `setUserDefinedField3(String userDefinedField3)`
  Sets the userDefinedField3 as specified to the business policy.
  `void`
  `setUserDefinedField4(String userDefinedField4)`
  Sets the userDefinedField4 as specified to the business policy.
  `void`
  `setUserDefinedField5(String userDefinedField5)`
  Sets the userDefinedField5 as specified to the business policy
  `void`
  `setUserDefinedField6(String userDefinedField6)`
  Sets the userDefinedField6 as specified to the business policy.
  `void`
  `setUserDefinedField7(String userDefinedField7)`
  Sets the userDefinedField7 as specified to the business policy.
  `void`
  `setUserDefinedField8(String userDefinedField8)`
  Sets the userDefinedField8 as specified to the business policy.
  `void`
  `setUserDefinedField9(String userDefinedField9)`
  Sets the userDefinedField9 as specified to the business policy.
  `String`
  `toString()`

  ### Methods inherited from class com.ads.api.beans.bgm.BusinessObject

  `addSDIClassification, getAssetType, getAuditHistory, getCatalogId, getDefinition, getDescription, getFields, getFieldValue, getId, getName, getObjectTypeId, getSDIClassifications, getWorkflowStatus, isSdiFlag, setAssetType, setAuditHistory, setCatalogId, setDefinition, setDescription, setFields, setFieldValue, setId, setName, setSDIClassifications, setSdiFlag, setWorkflowStatus`

  ### Methods inherited from class com.ads.api.beans.common.Node

  `addChildNode, getChildNodes, getEndPointType, getNodeId, getNodeType, setChildNodes, setEndPointType, setNodeId, setNodeType, setObjectTypeId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BusinessPolicy

    public BusinessPolicy()

- ## Method Details

  - ### getStatus

    public String getStatus()
    Returns the status of the business policy.
    Returns:
      status String

  - ### setStatus

    public void setStatus(String status)
    Sets the status of the business policy.
    Parameters:
      `status` - String

  - ### getPolicyStartDate

    public String getPolicyStartDate()
    Returns the policyStartDate of the business policy.
    Returns:
      policyStartDate String

  - ### setPolicyStartDate

    public void setPolicyStartDate(String policyStartDate)
    Sets the policyStartDate of the business policy.
    Parameters:
      `policyStartDate` - String

  - ### getPolicyEndDate

    public String getPolicyEndDate()
    Returns the policyEndDate of the business policy.
    Returns:
      policyEndDate String

  - ### setPolicyEndDate

    public void setPolicyEndDate(String policyEndDate)
    Sets the policyEndDate of the business policy.
    Parameters:
      `policyEndDate` - String

  - ### getUserDefinedField1

    public String getUserDefinedField1()
    Returns the userDefinedField1 value of the business policy.
    Returns:
      userDefinedField1 String

  - ### setUserDefinedField1

    public void setUserDefinedField1(String userDefinedField1)
    Sets the UserDefinedField1 as specified to the business policy.
    Parameters:
      `userDefinedField1` - String

  - ### getUserDefinedField2

    public String getUserDefinedField2()
    Returns the userDefinedField2 value of the business policy.
    Returns:
      userDefinedField2 String

  - ### setUserDefinedField2

    public void setUserDefinedField2(String userDefinedField2)
    Sets the userDefinedField2 as specified to the business policy.
    Parameters:
      `userDefinedField2` - String

  - ### getUserDefinedField3

    public String getUserDefinedField3()
    Returns the userDefinedField3 value of the business policy.
    Returns:
      userDefinedField3 String.

  - ### setUserDefinedField3

    public void setUserDefinedField3(String userDefinedField3)
    Sets the userDefinedField3 as specified to the business policy.
    Parameters:
      `userDefinedField3` - String.

  - ### getUserDefinedField4

    public String getUserDefinedField4()
    Returns the userDefinedField4 value of the business policy.
    Returns:
      userDefinedField4 String

  - ### setUserDefinedField4

    public void setUserDefinedField4(String userDefinedField4)
    Sets the userDefinedField4 as specified to the business policy.
    Parameters:
      `userDefinedField4` - String

  - ### getUserDefinedField5

    public String getUserDefinedField5()
    Returns the userDefinedField5 value of the business policy.
    Returns:
      userDefinedField5 String

  - ### setUserDefinedField5

    public void setUserDefinedField5(String userDefinedField5)
    Sets the userDefinedField5 as specified to the business policy
    Parameters:
      `userDefinedField5` - String

  - ### getUserDefinedField6

    public String getUserDefinedField6()
    Returns the userDefinedField6 value of the business policy.
    Returns:
      userDefinedField6 String

  - ### setUserDefinedField6

    public void setUserDefinedField6(String userDefinedField6)
    Sets the userDefinedField6 as specified to the business policy.
    Parameters:
      `userDefinedField6` - String

  - ### getUserDefinedField7

    public String getUserDefinedField7()
    Returns the userDefinedField7 value of the business policy.
    Returns:
      userDefinedField7 String

  - ### setUserDefinedField7

    public void setUserDefinedField7(String userDefinedField7)
    Sets the userDefinedField7 as specified to the business policy.
    Parameters:
      `userDefinedField7` - String.

  - ### getUserDefinedField8

    public String getUserDefinedField8()
    Returns the userDefinedField8 value of the business policy.
    Returns:
      userDefinedField8 String

  - ### setUserDefinedField8

    public void setUserDefinedField8(String userDefinedField8)
    Sets the userDefinedField8 as specified to the business policy.
    Parameters:
      `userDefinedField8` - String

  - ### getUserDefinedField9

    public String getUserDefinedField9()
    Returns the userDefinedField9 value of the business policy.
    Returns:
      userDefinedField9 String

  - ### setUserDefinedField9

    public void setUserDefinedField9(String userDefinedField9)
    Sets the userDefinedField9 as specified to the business policy.
    Parameters:
      `userDefinedField9` - String

  - ### getUserDefinedField10

    public String getUserDefinedField10()
    Returns the userDefinedField10 value of the business policy.
    Returns:
      userDefinedField10 String

  - ### setUserDefinedField10

    public void setUserDefinedField10(String userDefinedField10)
    Sets the userDefinedField10 as specified to the business policy.
    Parameters:
      `userDefinedField10` - String

  - ### getPublish

    public String getPublish()
    Returns the publish status of the business policy
    Returns:
      publish String

  - ### setPublish

    public void setPublish(String publish)
    Sets the publish status of the business policy.
    Parameters:
      `publish` - String.

  - ### getExpiryType

    public APIConstants.ExpiryType getExpiryType()
    Returns the expiryType of the business policy.
    Returns:
      expiryType String

  - ### setExpiryType

    public void setExpiryType(APIConstants.ExpiryType expiryType)
    Sets the expiryType of the business policy.
    Parameters:
      `expiryType` - String

  - ### getNotes

    public String getNotes()
    Returns the notes related to the business object.
    Returns:
      notes String

  - ### setNotes

    public void setNotes(String notes)
    Sets the notes to the business object as Specified.
    Parameters:
      `notes` - String

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `BusinessObject`